Subject: Re: Continue work on changes to recovery.conf API

From: Robert Haas <[email-masked]>
Date: Wed, 31 Oct 2018 13:53:12 -0400

On Fri, Sep 28, 2018 at 4:20 PM Peter Eisentraut
<[email-masked]> wrote:
> > - recovery_target (immediate), recovery_target_name, recovery_target_time, recovery_target_xid, recovery_target_lsn are replaced to recovery_target_type and recovery_target_value (was discussed and changed in previous thread)
>
> I think this was the major point of contention.  I reread the old
> thread, and it's still not clear why we need to change this.  _type and
> _value look like an EAV system to me.  GUC variables should be
> verifiable independent of another variable.  The other idea of using
> only one variable seems better, but using two variables seems like a
> poor compromise between one and five.

+1.  I like one best, I can live with five, and I think two stinks.

-- 
Robert Haas
EnterpriseDB: http://www.enterprisedb.com
The Enterprise PostgreSQL Company